<template>
    <div class="miniTestList flex-display">

        <div class="head">
            <div class="text">
                <el-select v-model="params.className" placeholder="请选择游戏" filterable clearable>
                    <el-option
                            v-for="item in MiniClassNameList"
                            :key="item.className"
                            :label="item.id + '-' +item.className"
                            :value="item.className"
                    ></el-option>
                </el-select>
                </div>
            </div>
        </div>

</template>

<script>
    import miniTestApi from '@/api/miniTest'
    import { mapState, mapActions } from 'vuex'
    import store from '@/store/'

    export default {
        name: "miniTestList",
        data(){
            return{
                miniTestList: [],
                params: {},
                MiniClassNameList: {},

            }
        },
        mounted(){
            this.init();
            // this.getMiniTestList()
            // this.getMiniClassList()
        },
        methods:{

            ...mapActions(['set_head_list']),

            init() {
                console.log(store);
                console.log(this.set_head_list);
            },

            getMiniTestList(){
                miniTestApi.getMiniTestList().then(res => console.log(res))
            },
            getMiniClassList(){
                miniTestApi.getMiniClassList().then(res =>{
                    this.MiniClassNameList = res;
                });
            }

        }
    }
</script>

<style lang="less" scoped>

</style>
